/**
 * @desc 登录
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** 账号(支持用户名/手机号/邮箱) */
    account: string
    /** 密码 */
    password: string
}

export const init = new defs.ResultLoginVo()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/auth/login',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
